Bug 484979 - synaptics touchpad buttons send X events twice
synaptics touchpad buttons send X events twice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 17:52 EST by Wilfried Philips
Modified: 2013-04-02 00:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:53:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (33.71 KB, application/octet-stream)
2009-02-10 17:54 EST, Wilfried Philips
no flags Details
xorg.conf (698 bytes, application/octet-stream)
2009-02-10 17:55 EST, Wilfried Philips
no flags Details

  None (edit)
Description Wilfried Philips 2009-02-10 17:52:21 EST
Description of problem:

New acer travelmate 6593G. F10 with latest updates.
The synaptics touchpad on this laptop has two buttons 
below the touchpad and two above.

When pressed, the left buttons send button1 events twice,
causing single clicks to be interpreted as double ones.



Version-Release number of selected component (if applicable):


How reproducible:
Always.
xev shows the following:
ButtonPress event, serial 30, synthetic NO, window 0x4200001,
    root 0x8b, subw 0x0, time 2180121, (46,128), root:(56,235),
    state 0x0, button 1, same_screen YES

ButtonPress event, serial 30, synthetic NO, window 0x4200001,
    root 0x8b, subw 0x0, time 2180157, (46,128), root:(56,235),
    state 0x100, button 1, same_screen YES

ButtonRelease event, serial 30, synthetic NO, window 0x4200001,
    root 0x8b, subw 0x0, time 2180167, (46,128), root:(56,235),
    state 0x100, button 1, same_screen YES

ButtonRelease event, serial 30, synthetic NO, window 0x4200001,
    root 0x8b, subw 0x0, time 2180177, (46,128), root:(56,235),
    state 0x0, button 1, same_screen YES


The same holds for the right button (but with button3 events)



Steps to Reproduce:
1. start xev
2. press the left button once
3. observe
  
Alternatively, select "roll-up" as the action for double clicking the 
title bar of windows. Click once in a window title bar. The window rolls 
up, which it should not do.



Additional info:
xorg-x11-drv-synaptics-0.15.2-2.fc10.x86_64

xorg.conf created by 
xorg-x11-drv-ati-6.10.0-1.fc10.x86_64
Comment 1 Wilfried Philips 2009-02-10 17:54:48 EST
Created attachment 331493 [details]
Xorg log file
Comment 2 Wilfried Philips 2009-02-10 17:55:20 EST
Created attachment 331494 [details]
xorg.conf
Comment 3 Wilfried Philips 2009-02-12 18:36:15 EST
The problem disappears when adding 
        Option "AutoAddDevices" "off"
in the ServerLayout section of xorg.conf


This is a nasty bug, because it prevents the use of the right and
middle mouse button on the touchpad. The left one can of course be
replaced by tapping the touchpad.
Comment 4 Wilfried Philips 2009-02-12 19:37:52 EST
The underlying cause of the problem is that button events are sent 
from two devices:

udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_3'
  access_control.file = '/dev/input/event3'  (string)

and
/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX1_port_Synaptics_pass_through_logicaldev_inpu

The problem disappears with the original xorg.conf file after executing
 
sudo hal-device -r /org/freedesktop/Hal/devices/platform_i8042_i8042_AUX1_port_Synaptics_pass_through_logicaldev_input
Comment 6 Bug Zapper 2009-11-18 04:50:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:53:09 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.